Skip to content

Get Employee Skills

Operation
wsdlGetEmployeeSkills
SOAP Action
uri:FlexForce/wsdlGetEmployeeSkills
Service
FlexForce
Port
FlexForcePort
Style
rpc

Return the skills assigned to one or more employees.


Request

Message: wsdlGetEmployeeSkillsRequest

apiKeystring

API key of the unit.

employeeIdint

Quinyx internal id of the employee. Set to 0 when using employeeBadgeNo.

employeeBadgeNostring

Badge number of the employee. Used when employeeId is not supplied.

employeeGroupIdint

Filter to a single employee group (Classic group).

employeeSectionIdint

Filter to a single section.

skillCategoryIdint

Filter to skills inside a single skill category.

curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
  -H 'Content-Type: text/xml; charset=utf-8' \
  -H 'SOAPAction: "uri:FlexForce/wsdlGetEmployeeSkills"' \
  --data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlGetEmployeeSkills>
    <apiKey xsi:type="xsd:string">string</apiKey>
    <employeeId xsi:type="xsd:int">0</employeeId>
    <employeeBadgeNo xsi:type="xsd:string">string</employeeBadgeNo>
    <employeeGroupId xsi:type="xsd:int">0</employeeGroupId>
    <employeeSectionId xsi:type="xsd:int">0</employeeSectionId>
    <skillCategoryId xsi:type="xsd:int">0</skillCategoryId>
    </tns:wsdlGetEmployeeSkills>
  </soap:Body>
</soap:Envelope>
EOF

Response

Message: wsdlGetEmployeeSkillsResponse

returnGetEmployeeSkillsResponse

A GetEmployeeSkillsResponse wrapping the matched employees and their skills.

validationErrorsArray<xsd:string>required

Array of validation errors. Empty on success.

itemstring
employeesSkillsArray<employeeSkill>required

Array of employeeSkill records — one per matched employee.

itememployeeSkill

An employee and their assigned skills, as returned by wsdlGetEmployeeSkills.

<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlGetEmployeeSkillsResponse>
    <return xsi:type="tns:GetEmployeeSkillsResponse">
      <validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
        <item xsi:type="xsd:string">string</item>
      </validationErrors>
      <employeesSkills xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:employeeSkill[1]">
        <item xsi:type="tns:employeeSkill">
          <unitName xsi:type="xsd:string">string</unitName>
          <employeeBadgeNo xsi:type="xsd:string">string</employeeBadgeNo>
          <employeeFirstName xsi:type="xsd:string">string</employeeFirstName>
          <employeeFamilyName xsi:type="xsd:string">string</employeeFamilyName>
          <skills xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:empSkill[1]">
            <item xsi:type="tns:empSkill">
              <skillDescription xsi:type="xsd:string">string</skillDescription>
              <shiftTypeName xsi:type="xsd:string">string</shiftTypeName>
              <shiftTypeId xsi:type="xsd:int">0</shiftTypeId>
              <skillExpires xsi:type="xsd:int">0</skillExpires>
              <skillExpiringDate xsi:type="xsd:date">2024-01-01</skillExpiringDate>
            </item>
          </skills>
        </item>
      </employeesSkills>
    </return>
    </tns:wsdlGetEmployeeSkillsResponse>
  </soap:Body>
</soap:Envelope>